Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Class SQLServerAdapter

    java.lang.Object
      com.sun.mdm.index.ops.DBAdapter
          com.sun.mdm.index.ops.SQLServerAdapter

public class SQLServerAdapter
extends DBAdapter

Constructor Summary
`SQLServerAdapter()`

Method Summary
`void` | `createTransactionObjectDB(java.sql.Connection con, TransactionObject tObj)` Creates a TransactionObjectDB.
`java.lang.String` | `getAuditMgrInsertStmt()` Insert statement for AuditManager.
`java.lang.String` | `getAuditMgrOperationColumnName()` Return Operation column name for AuditManager.
`java.lang.String` | `getAuditMgrSelectStmt()` Select statement for AuditManager.
`java.lang.String` | `getDateFormattedString(java.util.Date date)` convert Date to formatted String that is used in SQL query.
`java.lang.String` | `getDeltaByTransIDStmt()` Find the delta by EUID.
`static SQLServerAdapter` | `getInstance()` Return the SQLServerAdapter singleton.
`java.lang.String` | `getKeyStatDBCountBetweenTimesStmt()` Count transactions of a specific operation between two specified times.
`java.lang.String` | `getOperationColumnName()` Return the name of the operation column.
`java.lang.String` | `getQHelperMergeMaxTimestampStmt()` Select LID by maximum timestamp for QueryHelper.
`java.lang.String` | `getQHelperUnmergeMaxTimestampStmt()` Select maximum timestamp for unmerging two LIDs for QueryHelper.
`java.lang.String` | `getTransObjByEUIDAfterTimeNonMergedStmt()` Find by EUID and after a specified time (non-merged records only).
`(package private) java.lang.String` | `getTransObjByEUIDAfterTimeStmt()` Find by EUID and after a specified time.
`(package private) java.lang.String` | `getTransObjByEUIDBeforeTimeStmt()` Find by EUID and before a specified time.
`(package private) java.lang.String` | `getTransObjByEUIDBetweenTimesStmt()` Find by EUID and between two specified times.
`(package private) java.lang.String` | `getTransObjByEUIDStmt()` Find by EUID.
`(package private) java.lang.String` | `getTransObjBySysCodeLIDAfterTimeStmt()` Find by system code SQL statement for TransactionObjectDB and after a specified time.
`(package private) java.lang.String` | `getTransObjBySysCodeLIDBeforeTimeStmt()` Find by system code SQL statement for TransactionObjectDB and before a specified time.
`(package private) java.lang.String` | `getTransObjBySysCodeLIDBetweenTimesStmt()` Find by system code SQL statement for TransactionObjectDB and between two specified times.
`(package private) java.lang.String` | `getTransObjBySysCodeLIDStmt()` Find by system code SQL statement for TransactionObjectDB.
`(package private) java.lang.String` | `getTransObjCreateSelectStmt()` Generates the first part of a general select clause to find a set of transaction objects.
`java.lang.String` | `getTransObjForRecoveryStmt()` Find by EUID and after a specified timestamp for recovery.
`java.lang.String` | `getTransObjInsertStmt()` Insert statement for TransactionObjectDB.
`java.lang.String` | `getTransObjNextTOByEUIDStmt()` Find the next Transaction Object for an EUID.
`(package private) java.lang.String` | `getTransObjSelectStmt()` Select statement for TransactionObjectDB.
`java.lang.String` | `getVarcharToNumberConversion(java.lang.String val)` Convert varchar to a number.
`boolean` | `setDelta(java.lang.Object delta, DeltaParameters deltaParams)` Set the delta column value.

Methods inherited from class com.sun.mdm.index.ops.DBAdapter
`getDBAdapterInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLServerAdapter

    public SQLServerAdapter()

Method Detail

### createTransactionObjectDB

    public void createTransactionObjectDB(java.sql.Connection con,
                                          TransactionObject tObj)
                                   throws OPSException

  Creates a TransactionObjectDB.

  Specified by:
    `createTransactionObjectDB` in class `DBAdapter`
  Parameters:
    `con` - Database connection.
    `tObj` - TransactionObject to persist.
  Throws:
    `OPSException` - if any exceptions are encountered.

### getAuditMgrInsertStmt

    public java.lang.String getAuditMgrInsertStmt()

  Insert statement for AuditManager.

  Specified by:
    `getAuditMgrInsertStmt` in class `DBAdapter`
  Returns:
    Insert SQL statement for AuditManager.

### getAuditMgrOperationColumnName

    public java.lang.String getAuditMgrOperationColumnName()

  Return Operation column name for AuditManager.

  Specified by:
    `getAuditMgrOperationColumnName` in class `DBAdapter`
  Returns:
    AuditManager table Column name.

### getAuditMgrSelectStmt

    public java.lang.String getAuditMgrSelectStmt()

  Select statement for AuditManager.

  Specified by:
    `getAuditMgrSelectStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for AuditManager.

### getDateFormattedString

    public java.lang.String getDateFormattedString(java.util.Date date)

  convert Date to formatted String that is used in SQL query.

  Specified by:
    `getDateFormattedString` in class `DBAdapter`
  Parameters:
    `date` - Date to format.
  Returns:
    formatted String reprsenting the date.

### getDeltaByTransIDStmt

    public java.lang.String getDeltaByTransIDStmt()

  Find the delta by EUID.

  Specified by:
    `getDeltaByTransIDStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getInstance

    public static SQLServerAdapter getInstance()
                                        throws OPSException

  Return the SQLServerAdapter singleton.

  Returns:
    SQLServerAdapter singleton
  Throws:
    `OPSException`

### getKeyStatDBCountBetweenTimesStmt

    public java.lang.String getKeyStatDBCountBetweenTimesStmt()

  Count transactions of a specific operation between two specified times.

  Specified by:
    `getKeyStatDBCountBetweenTimesStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for KeyStatisticsDB.

### getOperationColumnName

    public java.lang.String getOperationColumnName()

  Return the name of the operation column.

  Specified by:
    `getOperationColumnName` in class `DBAdapter`
  Returns:
    name of the operation column.

### getQHelperMergeMaxTimestampStmt

    public java.lang.String getQHelperMergeMaxTimestampStmt()

  Select LID by maximum timestamp for QueryHelper.

  Specified by:
    `getQHelperMergeMaxTimestampStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for QueryHelper.

### getQHelperUnmergeMaxTimestampStmt

    public java.lang.String getQHelperUnmergeMaxTimestampStmt()

  Select maximum timestamp for unmerging two LIDs for QueryHelper.

  Specified by:
    `getQHelperUnmergeMaxTimestampStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for QueryHelper.

### getTransObjByEUIDAfterTimeNonMergedStmt

    public java.lang.String getTransObjByEUIDAfterTimeNonMergedStmt()

  Find by EUID and after a specified time (non-merged records only).

  Specified by:
    `getTransObjByEUIDAfterTimeNonMergedStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDAfterTimeStmt

    java.lang.String getTransObjByEUIDAfterTimeStmt()

  Find by EUID and after a specified time.

  Specified by:
    `getTransObjByEUIDAfterTimeStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDBeforeTimeStmt

    java.lang.String getTransObjByEUIDBeforeTimeStmt()

  Find by EUID and before a specified time.

  Specified by:
    `getTransObjByEUIDBeforeTimeStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDBetweenTimesStmt

    java.lang.String getTransObjByEUIDBetweenTimesStmt()

  Find by EUID and between two specified times.

  Specified by:
    `getTransObjByEUIDBetweenTimesStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjByEUIDStmt

    java.lang.String getTransObjByEUIDStmt()

  Find by EUID.

  Specified by:
    `getTransObjByEUIDStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDAfterTimeStmt

    java.lang.String getTransObjBySysCodeLIDAfterTimeStmt()

  Find by system code SQL statement for TransactionObjectDB and after a specified time.

  Specified by:
    `getTransObjBySysCodeLIDAfterTimeStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDBeforeTimeStmt

    java.lang.String getTransObjBySysCodeLIDBeforeTimeStmt()

  Find by system code SQL statement for TransactionObjectDB and before a specified time.

  Specified by:
    `getTransObjBySysCodeLIDBeforeTimeStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDBetweenTimesStmt

    java.lang.String getTransObjBySysCodeLIDBetweenTimesStmt()

  Find by system code SQL statement for TransactionObjectDB and between two specified times.

  Specified by:
    `getTransObjBySysCodeLIDBetweenTimesStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjBySysCodeLIDStmt

    java.lang.String getTransObjBySysCodeLIDStmt()

  Find by system code SQL statement for TransactionObjectDB.

  Specified by:
    `getTransObjBySysCodeLIDStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjCreateSelectStmt

    java.lang.String getTransObjCreateSelectStmt()

  Generates the first part of a general select clause to find a set of transaction objects.

  Specified by:
    `getTransObjCreateSelectStmt` in class `DBAdapter`
  Returns:
    First part of a general select clause for TransactionObjectDB.

### getTransObjForRecoveryStmt

    public java.lang.String getTransObjForRecoveryStmt()

  Find by EUID and after a specified timestamp for recovery.

  Specified by:
    `getTransObjForRecoveryStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjInsertStmt

    public java.lang.String getTransObjInsertStmt()

  Insert statement for TransactionObjectDB.

  Specified by:
    `getTransObjInsertStmt` in class `DBAdapter`
  Returns:
    Insert SQL statement for TransactionObjectDB.

### getTransObjNextTOByEUIDStmt

    public java.lang.String getTransObjNextTOByEUIDStmt()

  Find the next Transaction Object for an EUID.

  Specified by:
    `getTransObjNextTOByEUIDStmt` in class `DBAdapter`
  Returns:
    Select SQL statement for TransactionObjectDB.

### getTransObjSelectStmt

    java.lang.String getTransObjSelectStmt()

  Select statement for TransactionObjectDB.

  Specified by:
    `getTransObjSelectStmt` in class `DBAdapter`
  Returns:
    Select statement for TransactionObjectDB.

### getVarcharToNumberConversion

    public java.lang.String getVarcharToNumberConversion(java.lang.String val)

  Convert varchar to a number.

  Specified by:
    `getVarcharToNumberConversion` in class `DBAdapter`
  Parameters:
    `val` - Value to convert.
  Returns:
    Conversion function.

### setDelta

    public boolean setDelta(java.lang.Object delta,
                            DeltaParameters deltaParams)
                     throws OPSException

  Set the delta column value.

  Specified by:
    `setDelta` in class `DBAdapter`
  Parameters:
    `delta` - Value of the delta.
    `deltaParams` - Parameters used for setting the delta.
  Returns:
    boolean true if no problems were encountered, false otherwise.
  Throws:
    `OPSException` - if any exceptions are encountered.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.